<div class="flex-grow flex-col h-screen">
  <app-top-bar title="Menu"></app-top-bar>
  <div class="flex p-5 flex-row gap-5 items-start">
    <!-- ----------------------------------------------------------------------- -->
    <!--                                 Audits                                  -->
    <!-- ----------------------------------------------------------------------- -->

    <mat-card>
      <mat-card-header>
        <mat-card-title>Audits</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <mat-divider inset="true"></mat-divider>
        <h4 class="pt-8 pr-8">
          <span class="italic"
          >{{ auditsLength || 0 }} audit(s) enregistré(s)</span
          >
        </h4>
      </mat-card-content>
      <mat-divider inset="true"></mat-divider>
      <mat-card-actions>
        <div class="flex flex-row justify-between">
          <a [routerLink]="'/audit'">
            <button mat-button class="primaryColorCustom">Créer</button>
          </a>
          <button
            mat-button
            class="primaryColorCustom"
            (click)="openChooseAuditDialog()"
          >
            Lire
          </button>
        </div>
      </mat-card-actions>
    </mat-card>

    <!-- ----------------------------------------------------------------------- -->
    <!--                                  Tris                                   -->
    <!-- ----------------------------------------------------------------------- -->

    <mat-card>
      <mat-card-header>
        <mat-card-title>Tris</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <mat-divider inset="true"></mat-divider>

        <h4 class="pt-8 pr-8">
          <span class="italic">{{ trisLength || 0 }} tri(s) enregistré(s)</span>
        </h4>
      </mat-card-content>
      <mat-divider inset="true"></mat-divider>
      <mat-card-actions>
        <div class="flex flex-row justify-between">
          <a [routerLink]="'/tri'">
            <button mat-button class="primaryColorCustom">Créer</button>
          </a>
          <button
            mat-button
            class="primaryColorCustom"
            (click)="openChooseTriDialog()"
          >
            Lire
          </button>
        </div>
      </mat-card-actions>
    </mat-card>

    <!-- ----------------------------------------------------------------------- -->
    <!--                              Crashs Qualité                              -->
    <!-- ----------------------------------------------------------------------- -->

    <mat-card>
      <mat-card-header>
        <mat-card-title>Crashs Qualité</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <mat-divider inset="true"></mat-divider>

        <h4 class="pt-8 pr-8">
          <div class="flex flex-col gap-5">
            <div>
              <span class="italic"
              >{{ crashsLength || 0 }} crash(s) qualité enregistré(s)</span
              >
            </div>
            <div *ngIf="openCrash" class="font-bold text-red-500 underline">
              <a [routerLink]="'/crash/open/' + openCrash.crashQualiteId"
              ><span>Crash qualité en cours !</span></a
              >
            </div>
          </div>
        </h4>
      </mat-card-content>
      <mat-divider inset="true"></mat-divider>
      <mat-card-actions>
        <div class="flex flex-row justify-between">
          <a [routerLink]="'/crash'">
            <button mat-button class="primaryColorCustom">Créer</button>
          </a>
          <button
            mat-button
            class="primaryColorCustom"
            (click)="openChooseCrashDialog()"
          >
            Lire
          </button>
        </div>
      </mat-card-actions>
    </mat-card>
  </div>

  <!-- ----------------------------------------------------------------------- -->
  <!--                                  ADMIN                                  -->
  <!-- ----------------------------------------------------------------------- -->

  <div class="flex flex-row gap-5 p-5" *ngIf="currentUser?.FK_role == 2 ">
    <mat-card class="w-96">
      <mat-card-header>
        <mat-card-title>Admin</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <mat-divider inset="true"></mat-divider>

        <h4 class="pt-8 pr-8"></h4>
      </mat-card-content>
      <div>
        <mat-chip-list>
          <mat-chip routerLink="/admin/criteres" selected>Critères</mat-chip>
          <mat-chip routerLink="/admin/criteres/typesCriteres" selected> Types de critère</mat-chip>
          <mat-chip routerLink="/admin/criteres/process" selected>Process</mat-chip>
          <mat-chip routerLink="/admin/articles" selected>Articles</mat-chip>
          <mat-chip routerLink="/admin/articles/modeles" selected>Modèles</mat-chip>
          <mat-chip routerLink="/admin/users" selected>Users</mat-chip>
          <mat-chip routerLink="/admin/users/equipes" selected>Equipes</mat-chip>
          <mat-chip routerLink="/admin/audit/objectif" selected>Objectif</mat-chip>
          <mat-chip routerLink="/admin/tri/typeTri" selected>Type de tris</mat-chip>
          <mat-chip routerLink="/admin/tri/AVO" selected>Lieux AVO</mat-chip>
          <mat-chip routerLink="/admin/crashQualite/zones" selected>Zones</mat-chip>
          <mat-chip routerLink="/admin/crashQualite/lignes" selected>Lignes</mat-chip>
          <mat-chip routerLink="/admin/crashQualite/machines" selected>Machines</mat-chip>
        </mat-chip-list>
      </div>
    </mat-card>
  </div>
</div>
